Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Class RunReportTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.RunReportTimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public class RunReportTimeoutException

extends jet.JSException

Signals indicating that timeouts is reached while running a report.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Constructor Summary
`RunReportTimeoutException()` Constructs a new `RunReportTimeoutException` with `null` as its message.
`RunReportTimeoutException(java.lang.String resultName)` Constructs a new RunReportTimeoutException with the result name.
`RunReportTimeoutException(java.lang.String msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detailed message and cause.
`RunReportTimeoutException(java.lang.String msg, java.lang.Throwable cause)` Constructs a new `RunReportTimeoutException` with the specified detailed message and cause.
`RunReportTimeoutException(java.lang.Throwable cause)` Constructs a new `RunReportTimeoutException` with the specified cause and a `null`message.``

Method Summary
`java.lang.String` | `getResultName()` Returns the result name to check/wait the result ready.

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RunReportTimeoutException

    public RunReportTimeoutException(java.lang.String msgKey,
                                     java.lang.Object[] params,
                                     java.lang.Throwable cause)

  Constructs a new throwable with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for finding the message, and which will be logged and shown to user.
    `params` - the parameters used for formatting the message string, which can be null.
    `cause` - the cause which is saved for later retrieval by the getCause.

### RunReportTimeoutException

    public RunReportTimeoutException()

  Constructs a new `RunReportTimeoutException` with `null` as its message. The cause is not initialized.

### RunReportTimeoutException

    public RunReportTimeoutException(java.lang.String resultName)

  Constructs a new RunReportTimeoutException with the result name.

  Parameters:
    `resultName` - the result name

### RunReportTimeoutException

    public RunReportTimeoutException(java.lang.String msg,
                                     java.lang.Throwable cause)

  Constructs a new `RunReportTimeoutException` with the specified detailed message and cause.

  Parameters:
    `msg` - the detailed message
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### RunReportTimeoutException

    public RunReportTimeoutException(java.lang.Throwable cause)

  Constructs a new `RunReportTimeoutException` with the specified cause and a `null`message.

  Parameters:
    `cause` - the cause.
  ``

Method Detail

### getResultName

    public java.lang.String getResultName()

  Returns the result name to check/wait the result ready.

  Returns:
    the result name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD